Skip to content

LoanFieldName⁠

Perform various operations for Symitar parameters.

Operations⁠

getLoanFieldNameSelectFields⁠

POST

Execute the persistent ParameterService getLoanFieldNameSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanFieldNameFieldintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanFieldNameSelectFields
POST /nexum/627/persistent/parameter/getLoanFieldNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanFieldNameField": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllLoanFieldNameFields": true,
    "LoanFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanFieldNamePagedListSelectFields⁠

POST

Execute the persistent ParameterService getLoanFieldNamePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanFieldNamePagedListSelectFields
POST /nexum/627/persistent/parameter/getLoanFieldNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanFieldNameFields": true,
    "LoanFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchLoanFieldNamePagedSelectFields⁠

POST

Execute the persistent ParameterService searchLoanFieldNamePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchLoanFieldNamePagedSelectFields
POST /nexum/627/persistent/parameter/searchLoanFieldNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanFieldNameFields": true,
    "LoanFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateLoanFieldNameByID⁠

POST

Execute the persistent ParameterService updateLoanFieldNameByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanFieldNameFieldintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateLoanFieldNameByID
POST /nexum/627/persistent/parameter/updateLoanFieldNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanFieldNameField": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "LoanFieldNameFields": {
    "Field": 0,
    "FieldName": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}